New Search

.NET framework denial of service vulnerability - CVE-2014-4072 (MS14-053)

oval:org.mitre.oval:def:26601

Microsoft .NET Framework 1.1 SP1 2.0 SP2 3.0 SP2 3.5 3.5.1 4 4.5 4.5.1 and 4.5.2 does not properly use a hash table for request data which allows remote attackers to cause a denial of service (resource consumption and ASP.NET performance degradation) via crafted requests aka ".NET Framework Denial of Service Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Vista
  • Microsoft Windows 8.1
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2003
  • Microsoft Windows 7
  • Microsoft Windows 8
  • Microsoft Windows Server 2008
Class:
vulnerability
Reference(s):
  • CVE-2014-4072
Product(s):
  • Microsoft .NET Framework 2.0
  • Microsoft .NET Framework 3.0
  • Microsoft .NET Framework 4.0
  • Microsoft .NET Framework 4.5.1
  • Microsoft .NET Framework 4.5.2
  • Microsoft .NET Framework 3.5.1
  • Microsoft .NET Framework 4.5
  • Microsoft .NET Framework 1.1